import request from '@/utils/request'


// 查询硬件类型-列表
export function listHanrwareType(query) {
  return request({
    url: '/iscs/type/getIsHardwareTypePage',
    method: 'get',
    params: query
  })
}

// 获取硬件类型详细信息
export function getHardwareTypeInfo(repairId) {
  return request({
    url: '/iscs/type/selectIsHardwareTypeById/?id=' + repairId,
    method: 'get'
  })
}

//新增硬件类型
export function addHardwareType(query) {
  return request({
    url: '/iscs/type/insertIsHardwareType',
    method: 'post',
    data: query
  })
}

// 修改设备维修单
export function updateHardwareType(data) {
  return request({
    url: '/iscs/type/updateIsHardwareType',
    method: 'post',
    data: data
  })
}

// 删除设备维修单
export function delHardwareType(repairId) {
  return request({
    url: '/iscs/type/deleteIsHardwareTypeByIds?ids='+ repairId,
    method: 'post'

  })
}
